package cn.axzo.msg.center.utils;

import lombok.AccessLevel;
import lombok.NoArgsConstructor;

import java.util.UUID;

/**
 * UUID生成器
 *
 * @author cold_blade
 * @date 2023/10/5
 * @version 1.0
 */
@NoArgsConstructor(access = AccessLevel.PRIVATE)
public final class UUIDUtil {

    public static String uuidString() {
        String str = UUID.randomUUID().toString();
        return str.replaceAll("-", "");
    }

    public static String uuidRawString() {
        return UUID.randomUUID().toString();
    }
}
